StringUtils
Date: 2014-12-13

org.apache.ivy.util

## Class StringUtils

- java.lang.Object
- - org.apache.ivy.util.StringUtils

-     public final class StringUtils
      extends java.lang.Object

  Convenient class used only for uncapitalization Usually use commons lang but here we do not want to have such a dependency for only one feature

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static java.lang.String` | `decrypt(java.lang.String str)` Decrypts a string encrypted with encrypt.
    `static java.lang.String` | `encrypt(java.lang.String str)` Encrypt the given string in a way which anybody having access to this method algorithm can easily decrypt.
    `static java.lang.String` | `getErrorMessage(java.lang.Throwable t)` Returns the error message associated with the given Throwable.
    `static java.lang.String` | `getStackTrace(java.lang.Throwable e)` Returns the exception stack trace as a String.
    `static java.lang.String` | `join(java.lang.Object[] objs, java.lang.String sep)` Joins the given object array in one string, each separated by the given separator.
    `static java.lang.String` | `repeat(java.lang.String str, int count)`
    `static java.lang.String` | `uncapitalize(java.lang.String string)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### uncapitalize

          public static java.lang.String uncapitalize(java.lang.String string)

    - #### getErrorMessage

          public static java.lang.String getErrorMessage(java.lang.Throwable t)

      Returns the error message associated with the given Throwable. The error message returned will try to be as precise as possible, handling cases where e.getMessage() is not meaningful, like `NullPointerException` for instance.
      Parameters:
        `t` - the throwable to get the error message from
      Returns:
        the error message of the given exception

    - #### getStackTrace

          public static java.lang.String getStackTrace(java.lang.Throwable e)

      Returns the exception stack trace as a String.
      Parameters:
        `e` - the exception to get the stack trace from.
      Returns:
        the exception stack trace

    - #### join

          public static java.lang.String join(java.lang.Object[] objs,
                              java.lang.String sep)

      Joins the given object array in one string, each separated by the given separator. Example:

           join(new String[] {"one", "two", "three"}, ", ") -> "one, two, three"

      Parameters:
        `objs` - The array of objects (`toString()` is used).
        `sep` - The separator to use.
      Returns:
        The concatinated string.

    - #### encrypt

          public static final java.lang.String encrypt(java.lang.String str)

      Encrypt the given string in a way which anybody having access to this method algorithm can easily decrypt. This is useful only to avoid clear string storage in a file for example, but shouldn't be considered as a real mean of security. This only works with simple characters (char < 256).
      Parameters:
        `str` - the string to encrypt
      Returns:
        the encrypted version of the string

    - #### decrypt

          public static final java.lang.String decrypt(java.lang.String str)

      Decrypts a string encrypted with encrypt.
      Parameters:
        `str` - the encrypted string to decrypt
      Returns:
        The decrypted string.

    - #### repeat

          public static java.lang.String repeat(java.lang.String str,
                                int count)